package net.northking.cctp.mobile.dto.report;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


@JsonSerialize
@ApiModel(description = "截图信息Dto")
public class AppInstallationDataDetailDto implements Serializable {
    @ApiModelProperty("应用名称")
    private String appName;
    @ApiModelProperty("版本")
    private String buildVersion;
    @ApiModelProperty("包名")
    private String packageName;
    @ApiModelProperty("应用大小")
    private String appSize;

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getBuildVersion() {
        return buildVersion;
    }

    public void setBuildVersion(String buildVersion) {
        this.buildVersion = buildVersion;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getAppSize() {
        return appSize;
    }

    public void setAppSize(String appSize) {
        this.appSize = appSize;
    }

    @Override
    public String toString() {
        return "AppInstallationDataDetailDto{" +
                "appName='" + appName + '\'' +
                ", buildVersion='" + buildVersion + '\'' +
                ", packageName='" + packageName + '\'' +
                ", appSize='" + appSize + '\'' +
                '}';
    }
}
